<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LUnassignedPresenceServers StructType
 * @subpackage Structs
 */
class LUnassignedPresenceServers extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The nodeUsage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $nodeUsage;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LUnassignedPresenceServers
     * @uses LUnassignedPresenceServers::setName()
     * @uses LUnassignedPresenceServers::setDescription()
     * @uses LUnassignedPresenceServers::setNodeUsage()
     * @uses LUnassignedPresenceServers::setUuid()
     * @param string $name
     * @param string $description
     * @param string $nodeUsage
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $nodeUsage = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setNodeUsage($nodeUsage)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LUnassignedPresenceServers
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LUnassignedPresenceServers
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get nodeUsage value
     * @return string|null
     */
    public function getNodeUsage()
    {
        return $this->nodeUsage;
    }
    /**
     * Set nodeUsage value
     * @param string $nodeUsage
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LUnassignedPresenceServers
     */
    public function setNodeUsage($nodeUsage = null)
    {
        $this->nodeUsage = $nodeUsage;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LUnassignedPresenceServers
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
